Skip to main content
PUT
Update ClickPipe settings

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

clickPipeId
string<uuid>
required

ID of the ClickPipe to update settings for.

Body

application/json
streaming_max_insert_wait_ms
integer | null

Streaming max insert wait time. Configures the max wait period before inserting data into the ClickHouse.

Required range: 500 <= x <= 60000
Example:

5000

object_storage_concurrency
integer | null

Object storage concurrency. Number of concurrent file processing threads

Required range: 1 <= x <= 35
Example:

1

object_storage_polling_interval_ms
integer | null

Object storage polling interval. Configures the refresh interval for querying continuous ingest for new object storage data

Required range: 100 <= x <= 3600000
Example:

30000

object_storage_max_insert_bytes
integer | null

Max insert bytes. Number of bytes to process in a single insert batch

Required range: 10485760 <= x <= 53687091200
Example:

10737418240

object_storage_max_file_count
integer | null

Max file count. Maximum number of files to process in a single insert batch

Required range: 1 <= x <= 10000
Example:

100

clickhouse_max_threads
integer | null

Max threads. Maximum number of concurrent threads for file processing

Required range: 0 <= x <= 64
Example:

8

clickhouse_max_insert_threads
integer | null

Max insert threads. Maximum number of concurrent insert threads

Required range: 0 <= x <= 16
Example:

1

clickhouse_min_insert_block_size_bytes
integer | null

Min insert block size bytes. Minimum size of data block for insert (in bytes)

Required range: 0 <= x <= 10737418240
Example:

1073741824

clickhouse_max_download_threads
integer | null

Max download threads. Maximum number of concurrent download threads

Required range: 0 <= x <= 32
Example:

4

clickhouse_parallel_distributed_insert_select
integer | null

Parallel distributed insert select. Parallel distributed insert select setting

Required range: 0 <= x <= 2
Example:

2

object_storage_use_cluster_function
boolean | null

use cluster function. Whether to use ClickHouse cluster function for distributed processing

Example:

true

clickhouse_parallel_view_processing
boolean | null

parallel view processing. Whether to enable pushing to attached views concurrently instead of sequentially

Example:

false

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 2, 2026